LinuxQuestions.org
Welcome to the most active Linux Forum on the web.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 12-05-2012, 05:36 AM   #1
karsel
LQ Newbie
 
Registered: Jul 2011
Location: Thimphu, Bhutan
Posts: 3

Rep: Reputation: Disabled
Lightbulb upgradation of apache2.2 to 2.4


Hi Linux frens,

Currently i am using CentOS 5.8 and i had installed Apache version 2.2 and i want to upgrade to version 2.4. i tried to upgrade using yum upgrade and rpm but it doesn't upgrade.

So can any Linux frens could share your knowledge and experience to upgrade apache2.2 to 2.4.

your support is highly appreciated.


with regards
karma

Last edited by karsel; 12-05-2012 at 05:37 AM.
 
Old 12-06-2012, 10:35 AM   #2
TB0ne
LQ Guru
 
Registered: Jul 2003
Location: Birmingham, Alabama
Distribution: SuSE, RedHat, Slack,CentOS
Posts: 18,316

Rep: Reputation: 3878Reputation: 3878Reputation: 3878Reputation: 3878Reputation: 3878Reputation: 3878Reputation: 3878Reputation: 3878Reputation: 3878Reputation: 3878Reputation: 3878
Quote:
Originally Posted by karsel View Post
Hi Linux frens,
Currently i am using CentOS 5.8 and i had installed Apache version 2.2 and i want to upgrade to version 2.4. i tried to upgrade using yum upgrade and rpm but it doesn't upgrade.

So can any Linux frens could share your knowledge and experience to upgrade apache2.2 to 2.4.
You're going to have to tell us more than "it doesn't upgrade". What was the exact command you typed in? What were the command results? Did you try stopping/starting apache after the upgrade command? Have you looked at the RPM to see what version is installed??
 
Old 12-06-2012, 02:52 PM   #3
John VV
LQ Muse
 
Registered: Aug 2005
Location: A2 area Mi.
Posts: 16,986

Rep: Reputation: 2447Reputation: 2447Reputation: 2447Reputation: 2447Reputation: 2447Reputation: 2447Reputation: 2447Reputation: 2447Reputation: 2447Reputation: 2447Reputation: 2447
basically you DO NOT "upgrade" major versions of programd on CentOS / RHEL
what centos 5.0 had 5.9 WILL STILL HAVE

now

you "can" replace 2.2 with 2.4

BUT and this is a VERY big BUT

you will need to build the WHOLE STACK from source

php
MySQL
PhpMyAdmin
Apache
( and anything else needed)
SEE:"install instructions"
http://httpd.apache.org/docs/2.4/install.html
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Upgradation to 12.04 johnsonkv91 Ubuntu 1 04-27-2012 05:34 AM
upgradation??? shanky Linux - Newbie 3 10-04-2011 08:07 AM
upgradation of wpa_supplicant ubuntuv Linux - Networking 7 09-17-2011 07:28 AM
Upgradation sai.viswanath Linux - Enterprise 5 07-11-2010 10:04 AM
kernel upgradation kris.c Linux - Software 14 05-25-2007 12:43 AM


All times are GMT -5. The time now is 07:54 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration